Skip to content

Results are limited to the current section: Cloud services

Product news

Get Jobs

GET
/api/v2/jobs
curl --request GET \
--url 'https://example.com/api/v2/jobs?order_by=created_at&order_by_direction=ASC&limit=100&offset=0' \
--header 'Authorization: Bearer <token>'

Retrieve a paginated list of jobs.

Supports ordering, pagination, and filtering via query parameters.

Returns: A paginated list of jobs excluding the result payload. To download results for a specific job, request a pre-signed URL via GET /api/v1/jobs/{job_id}/results_link.

order_by
Order By
string
default: created_at
order_by_direction
SortDirection
string
default: DESC
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
id
Any of:
Array<string>

Unique id for the job

id__starts_with
Any of:
string

First characters of the job id

batch_id
Any of:
Array<string>

Owner batch of the job

project_id
Any of:
Array<string>

Owner project of the job

user_id
Any of:
Array<string>

Owner user of the job

status
Any of:
Array<string>
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING

Job status type enum

min_runs
Any of:
integer

Minimum number of times the pulser sequence is repeated

max_runs
Any of:
integer

Maximum number of times the pulser sequence is repeated

errors
Any of:
boolean

Whether errors were returned when executing the job

origin
Any of:
Array<string>
Allowed values: CLIENT AZURE OVH UNKNOWN

Origin of the job

start_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a job was started

end_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a job finished, failed or was cancelled

Successful Response

Media typeapplication/json
HeaderPaginatedResponse[ProducedPartialJobResponseV2]
object
status
JSendStatus
string
default: success
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{
"status": "success",
"message": "OK.",
"code": "200"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}